%% FUNCIÓN DEMODULACIÓN OQAM
%<demOQAM>

%PARÁMETROS DE RETORNO:
%rcomb: vector recuperado combinación parte real e imaginaria

%PARÁMETROS DE INGRESO:
%ind: indicador de iteración en bucle
%rxrBG: Vector en RX tras pasar por filtro NK


function rcomb=demOQAM(ind, rxrBG)

    if rem(ind, 2)
        % La parte imaginaria está K muestras despues de la muestra real
        r1 = real(rxrBG(1:2*4:end));%El paso equivale a 2*K
        r2 = imag(rxrBG(4+1:2*4:end));%El punto de partida equivale a K+1 y paso a 2*K
        rcomb = complex(r1, r2);
    else
        % La parte real está K muestras despues de la muestra imaginaria
        r1 = imag(rxrBG(1:2*4:end));%El paso equivale a 2*K
        r2 = real(rxrBG(4+1:2*4:end));%El punto de partida equivale a K+1 y paso a 2*K
        rcomb = complex(r2, r1); %Combinación de las componentes real e imaginaria
    end
    %  Normalización por el factor de sobremuestreo
    rcomb = (1/4)*rcomb;%Equivale a (1/K)*rcomb

end

